<template>
    <div>
        <el-table :data="taskWorkers" border fit highlight-current-row style="width: 100%;" :header-cell-style="{'text-align':'center'}">
            <el-table-column type="index" label="序号" align="center" width="60"/>
            <el-table-column prop="taskcode" label="作业编号" align="left">
            </el-table-column>
            <el-table-column prop="unit" label="施工单位" align="left">
                <template slot-scope="scope">
                    <el-input v-model="scope.row.unit"></el-input>
                </template>
            </el-table-column>
            <el-table-column prop="worker" label="作业人姓名" align="left">
                <template slot-scope="scope">
                    <el-input v-model="scope.row.worker"></el-input>
                </template>
            </el-table-column>
            <el-table-column prop="branch" label="特种作业工种" align="left">
                <template slot-scope="scope">
                    <el-input v-model="scope.row.branch"></el-input>
                </template>
            </el-table-column>
            <el-table-column prop="number" label="特种作业证号" align="left">
                <template slot-scope="scope">
                    <el-input v-model="scope.row.number"></el-input>
                </template>
            </el-table-column>
        </el-table>
    </div>
</template>

<script>

export default {
    props:['basicInformation'],
    name: 'index',
    data(){
        return{
            taskWorkers:[],
        }
    },
    created(){
    },
    methods:{
        addTaskWorker(){
            this.taskWorkers.push({
                createdat: "",
                createdby: "",
                flag: 0,
                id: 0,
                modifiedat: "",
                modifiedby: "",
                taskcode: this.basicInformation.code,
                unit: "",
                worker: "",
                branch: 0,
                number: "",
            })
        },
        deleteWorker(val){
            this.taskWorkers.splice(val,1)
        }
    }
}
</script>

<style scoped>

</style>
